Page MenuHomePhabricator

Reorganize CiviCRM 4.4 upgrade and GR reporting integration tasks
Closed, ResolvedPublic1 Story Points

Description

Revisit this now that we have a more clear idea of what needs to be done.

  • We accidentally killed the PHPUnit job with T94586, which has to be fixed.
  • Prepare patches of all our customizations to the civicrm/ repo, split out by functionality.
  • Decide what to do with each of these features. There are only three sane alternatives: upstream, push into an extension, or abandon. There should be no more customizations that just sit in the Civi repo.
  • Take the latest CiviCRM 4.4 LTS release and overwrite whatever is in contrib-v4.4.
  • Fix the dev-v4.4 branch, we want it to be exactly contrib-v4.4 with the Giant Rabbit patch applied.
  • Make sure our Drupal modules still work.
  • Be really careful about contribution-* vs financial-*
  • Ask Eileen for the full gotcha list.
  • Perform and time the upgrade on a staging instance.
  • Beat the staging instance with GUI and drush.
  • Iterate.

TODO: not complete

Event Timeline

awight created this task.Apr 8 2015, 10:22 PM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added subscribers: gerritbot, awight, atgo, Aklapper.
atgo set Security to None.Apr 15 2015, 10:21 PM
atgo edited a custom field.
awight renamed this task from Reorganize CiviCRM 4.4 upgrade tasks to Reorganize CiviCRM 4.4 upgrade and GR reporting integration tasks.May 6 2015, 10:26 PM
awight claimed this task.May 11 2015, 11:52 PM
awight moved this task from Backlog to Doing on the Fundraising Sprint James Brown board.
awight updated the task description. (Show Details)May 12 2015, 12:18 AM
awight updated the task description. (Show Details)May 20 2015, 8:35 PM
awight updated the task description. (Show Details)May 20 2015, 9:17 PM
awight closed this task as Resolved.May 20 2015, 9:50 PM
awight moved this task from Doing to Done on the Fundraising Sprint Kraftwerk board.
mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM